// 实现代码块复制
  // Find all code elements inside pre elements
  var codeElements = document.querySelectorAll('pre code');

  // Loop through each code element
  codeElements.forEach(function(code) {
    // Create copy button
    var copyButton = document.createElement('button');
    copyButton.classList.add('copy-button');
    copyButton.textContent = 'Copy';
    
    // Append copy button to code element's parent
    code.parentNode.insertBefore(copyButton, code.nextSibling);
    
    // Add click event listener to copy button
    copyButton.addEventListener('click', function() {
      // Get code content
      var codeContent = code.textContent.trim();
      
      // Create a textarea element to hold the code content temporarily
      var textarea = document.createElement('textarea');
      textarea.value = codeContent;
      
      // Append the textarea to the document
      document.body.appendChild(textarea);
      
      // Select the content of the textarea
      textarea.select();
      
      // Execute the copy command
      document.execCommand('copy');
      
      // Remove the textarea from the document
      document.body.removeChild(textarea);
      
      // Change button text to indicate success
      copyButton.textContent = '复制成功';
      
      // Reset button text after 2 seconds
      setTimeout(function() {
        copyButton.textContent = 'Copy';
      }, 2000);
    });
  });

  
  // 实现图片title显示在图片下方
    document.addEventListener("DOMContentLoaded", function() {
        // 获取id为'blog-content'的元素中的所有图片
        var images = document.querySelectorAll('#blog-content img');

        // 遍历每张图片
        images.forEach(function(image) {
            // 获取图片的title属性
            var title = image.title;

            // 如果标题存在且不为空
            if (title && title.trim() !== '') {
                // 创建一个新的span元素
                var span = document.createElement('span');
                span.classList.add('blog-content-img-title');
                // 设置span元素的文本为图片的title
                span.textContent = title;

                // 创建一个换行元素
                var br = document.createElement('br');

                // 将br元素和span元素添加到图片的父元素中，紧随图片之后
                image.parentNode.insertBefore(span, image.nextSibling);
                image.parentNode.insertBefore(br, image.nextSibling);
            }
        });
    });
    