<?php
if (!defined('__TYPECHO_ROOT_DIR__')) exit;

function themeConfig($form)
{
    $logoUrl = new \Typecho\Widget\Helper\Form\Element\Text(
        'logoUrl',
        null,
        null,
        _t('站点 LOGO 地址'),
        _t('在这里填入一个图片 URL 地址, 以在网站标题前加上一个 LOGO')
    );

    $form->addInput($logoUrl);

    $sidebarBlock = new \Typecho\Widget\Helper\Form\Element\Checkbox(
        'sidebarBlock',
        [
            'ShowRecentPosts'    => _t('显示最新文章'),
            'ShowRecentComments' => _t('显示最近回复'),
            'ShowCategory'       => _t('显示分类'),
            'ShowArchive'        => _t('显示归档'),
            'ShowOther'          => _t('显示其它杂项')
        ],
        ['ShowRecentPosts', 'ShowRecentComments', 'ShowCategory', 'ShowArchive', 'ShowOther'],
        _t('侧边栏显示')
    );

    $form->addInput($sidebarBlock->multiMode());
}

/*
function themeFields($layout)
{
    $logoUrl = new \Typecho\Widget\Helper\Form\Element\Text(
        'logoUrl',
        null,
        null,
        _t('站点LOGO地址'),
        _t('在这里填入一个图片URL地址, 以在网站标题前加上一个LOGO')
    );
    $layout->addItem($logoUrl);
}
*/
function parseContent($obj) {
    $options = Typecho_Widget::widget('Widget_Options');
    $siteUrl = $options->siteUrl; // 获取站点的基础 URL

    // 使用 preg_replace_callback 来检查并修改链接
    $obj->content = preg_replace_callback(
        '/<a href="([^"]+)">/i', // 匹配所有的 <a href="..."> 标签
        function ($matches) use ($siteUrl) {
            $url = $matches[1];
            // 检查 URL 是否为绝对 URL 或者是否包含站点的基础 URL
            if (strpos($url, 'http://') !== 0 && strpos($url, 'https://') !== 0 && strpos($url, $siteUrl) === false) {
                // 如果是相对路径并且不含站点 URL，视为站内链接，不添加 target="_blank"
                return "<a href=\"$url\">";
            } else if (strpos($url, $siteUrl) === false) {
                // 如果是绝对路径且不是站内链接，添加 target="_blank"
                return "<a href=\"$url\" target=\"_blank\">";
            } else {
                // 站内链接，不添加 target="_blank"
                return "<a href=\"$url\">";
            }
        },
        $obj->content
    );

    echo trim($obj->content);
}
