<?php if (!defined('__TYPECHO_ROOT_DIR__')) exit; ?>
<!DOCTYPE HTML>
<html>
<head>
    <meta charset="<?php $this->options->charset(); ?>">
    <meta name="renderer" content="webkit">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5">
    <?php if ($this->is('search')): ?>
    <meta name="robots" content="noindex, nofollow">
<?php endif; ?>
    <title><?php $this->archiveTitle([
            'category' => _t('%s'),
            'search'   => _t('搜索结果'),
            'tag'      => _t('标签 %s 下的文章'),
            'author'   => _t('%s 发布的文章')
        ], '', ' - '); ?><?php $this->options->title(); ?></title>

    <!-- 使用url函数转换相关路径 -->
    <link rel="stylesheet" href="<?php $this->options->themeUrl('default.min.css'); ?>">
<style>
@import '<?php $this->options->themeUrl('water.css'); ?>';

footer {
	text-align: center; 
}

.title:hover {
 	text-decoration: none; 
}
.upvote-button {
    padding: 0;
    margin: 0;
    border: 0;
    background-color: inherit;
    color: inherit;
    display: flex;
    flex-direction: column;
    align-items: center;
}
.upvote-button.upvoted {
    color: salmon;
}
.upvote-count {
    margin-top: -3px;
}
.highlight,
pre {
    padding: 1px 15px;
    background-color: var(--background);
    color: var(--code);
    border-radius: 3px;
    margin-block-start: 1em;
    margin-block-end: 1em;
    overflow-x: auto;
position: relative;
}
nav a {
        text-decoration: none;
        padding-bottom: 1px; /* 调整下划线与文字之间的距离 */
        border-bottom: 1px solid transparent; /* 默认给个透明的下划线，先占点空间 */
        display: inline-block; /* 使下划线的宽度根据文字内容自适应 */
    margin: 2.5px 10px 2.5px 0;
}
nav a:hover {
        text-decoration: none;
        padding-bottom: 1px; /* 调整下划线与文字之间的距离 */
        border-bottom: 1px solid var(--links); /* 下划线样式 */
        display: inline-block; /* 使下划线的宽度根据文字内容自适应 */
}
nav a.current {
	text-decoration: none;
        padding-bottom: 1px; /* 调整下划线与文字之间的距离 */
        border-bottom: 1px solid var(--links); /* 下划线样式 */
        display: inline-block; /* 使下划线的宽度根据文字内容自适应 */
        font-weight: bold;
}
/* Page nav */

.page-navigator {
  list-style: none;
  margin: 25px 0;
  padding: 0;
  text-align: center;
}
.page-navigator li {
  display: inline-block;
  margin: 0 4px;
}
.page-navigator a {
  display: inline-block;
  padding: 0 10px;
  height: 30px;
  line-height: 30px;
  border-radius: 6px;
}
.page-navigator a:hover {
  background: var(--background);
  text-decoration: none;
}

.page-navigator .current a {
  color: var(--code);
  background: var(--background);
}
.breadcrumbs {
  background: #efefef;
  background: var(--background);
  padding: 2.5px;
  border-radius: 6px;
}
li p {
margin-top:0px;
margin-bottom:0px;
}

.blog-content-img-title{
border-left: 4px solid var(--focus);
padding:1px 0px 1px 5px;
font-size:0.8em;
margin: 0 2.5%;
max-width: 95%;
display:inline-block;
}
#blog-content img,
#blog-content table,
#blog-content blockquote
 {
    box-shadow: 0 0 4px rgba(0, 0, 0, .4);
    margin: 1rem 2.5% 0 2.5%;
    max-width: 95%;
}
time {
font-size:0.8em;
}
.copy-button {
    position: absolute;
    border: 1px solid var(--focus);
    background-color: transparent;
    padding:1px;
    top: 1px;
    right: calc(-5px);
  }
  .zifenlei {
margin-top:-30px;
    margin-bottom: 40px;
    font-size:0.8em;
}
.zifenlei a {
    background: var(--background);
    border-radius: 6px;
    padding: 2.5px;
    margin: 2.5px 2.5px 2.5px 0;
    display: inline-block;
}
.zifenlei a.current {
    color: var(--text-main);
    font-weight: bold;
}
  </style>
    <!-- 通过自有函数输出HTML头部信息 -->
    <?php $this->header(); ?>
</head>

<body class="blog">
<header>
<a class="title" href="<?php $this->options->siteUrl(); ?>">

<?php if ($this->is('index')): ?>
    <h1><?php $this->options->title() ?></h1>
<?php else: ?>
    <h3 style="font-size:2.2em;"><?php $this->options->title() ?></h3>
<?php endif; ?>

</a>
<nav>
<p>

<?php
// 定义导航元素和顺序，修改这里更改导航。可以调用页面，分类，标签
// 格式就是如下的格式，分类就是category-分类id，页面就是page-页面id，标签就是tag-标签id，留空表示使用默认名称

$navItems = array(
    'page-3' => '搜索',
    'category-1' => '',
    'page-4' => '主题下载',
    'page-2' => ''
);

// 获取分类、页面、标签数据
$categories = $this->widget('Widget_Metas_Category_List');
$tags = $this->widget('Widget_Metas_Tag_Cloud');
$pages = $this->widget('Widget_Contents_Page_List');
?>

<!-- 首页链接 -->
<a <?php if ($this->is('index')): ?>class="current"<?php endif; ?> href="<?php $this->options->siteUrl(); ?>">首页</a>

<!-- 处理自定义导航 -->
<?php foreach ($navItems as $item => $itemName): ?>
    <?php
    list($type, $id) = explode('-', $item);
    switch ($type) {
        case 'category':
            $categories->to($tempCategories);
            while ($tempCategories->next()):
                if ($tempCategories->mid == $id):
                    ?><a <?php if ($this->is('category', $tempCategories->slug)): ?>class="current"<?php endif; ?>
                       href="<?php $tempCategories->permalink(); ?>"
                       title="<?php $tempCategories->name(); ?>"><?php echo ($itemName !== '') ? $itemName : $tempCategories->name(); ?></a><?php
                endif;
            endwhile;
            break;
        
        case 'page':
            $pages->to($tempPages);
            while ($tempPages->next()):
                if ($tempPages->cid == $id):
                    ?><a <?php if($this->is('page', $tempPages->slug)): ?>class="current"<?php endif; ?>
                       href="<?php $tempPages->permalink(); ?>"
                       title="<?php $tempPages->title(); ?>"><?php echo ($itemName !== '') ? $itemName : $tempPages->title(); ?></a><?php
                endif;
            endwhile;
            break;
        
        case 'tag':
            $tags->to($tempTags);
            while ($tempTags->next()):
                if ($tempTags->mid == $id):
                    ?><a <?php if($this->is('tag', $tempTags->slug)): ?>class="current"<?php endif; ?>
                       href="<?php $tempTags->permalink(); ?>"
                       title="<?php $tempTags->description(); ?>"><?php echo ($itemName !== '') ? $itemName : $tempTags->name(); ?></a><?php
                endif;
            endwhile;
            break;
    }
    ?>
<?php endforeach; ?>







</p>
</nav>
</header>

<?php if ($this->is('post') || $this->is('page')): ?>
    <div class="breadcrumbs">
        <a href="<?php $this->options->siteUrl(); ?>"><?php _e('Home'); ?></a>
        <?php if ($this->is('post')): ?>
            » <?php $this->category(','); ?> » <?php echo mb_strlen($this->title) > 10 ? mb_substr($this->title, 0, 10) . '...' : $this->title ?>
        <?php elseif ($this->is('page')): ?>
            » <?php echo mb_strlen($this->title) > 10 ? mb_substr($this->title, 0, 10) . '...' : $this->title ?>
        <?php endif; ?>
    </div>
<?php else: ?>
<hr style="margin-bottom:40px;">
<?php endif; ?>

<main>
<!-- header结束 -->
    
    
